Préparer Vungle Windows SDK v.2.0+ pour le plugin Unity

Utilisez ces instructions pour préparer votre SDK Windows (version 2.0 et supérieure) avant d'intégrer le plugin Unity. Après avoir parcouru les instructions de cet article, continuez avec Démarrer avec Vungle (SDK v.5.1 et supérieure) - Unity.

Contenu

Versions de Unity supportées

  • Windows (Universal 8.1 or Phone 8.1) prend en charge Unity 4 et Unity 5.3.2+
  • Windows 10 UWP prend en charge Unity 5.3.2+

Configuration du SDK Windows et de Visual Studio

Assurez-vous d'avoir configuré les versions de SDK Windows et Visual Studio nécessaires pour votre environnement de développement :

Exigence de capacité

Après avoir publié le projet Windows dans Unity, assurez-vous que le projet possède la capacité internetClient dans l'environnement de Unity. Ouvrez Build Settings (Ctrl + Shift + B), sélectionnez Windows Store sous Platform, et cliquez sur Player Settings. Sous Publishing Settings, dans le menu Capabilities, sélectionnez l'option InternetClient de la façon suivante :

image3.jpg

Définition de la configuration du projet

Configuration automatique à l'aide des outils Vungle

Le SDK Windows de Vungle comprends trois fichiers VungleSDK.winmd différents, destinés à chaque plateforme Windows : Windows 10 UWP, Windows Universal 8.1, et Universal Phone 8.1. Si vous utilisez Unity 5 pour Windows, vous devez configurer certains fichiers .winmd ou tous, selon la plateforme cible supportée.

Nous avons préparé un outil à un seul clic pour vous faciliter cette procédure. Depuis le menu, allez à ToolsVungle et sélectionnez Prepare Windows 10 Build ou Prepare Windows 8.1 Build.

image1.jpg

Configuration manuelle

Dans l'onglet Project, sélectionnez le SDK Vungle approprié. Confirmez que les paramètres suivants sous l'onglet Inspector, dans les sections Select platforms for plugin et Platform settings sont bien configurés :

  • Pour Assets/Plugins/metro/VungleSDKProxy.winmd.winmd :
    Plateforme : WSAPlayer
    SDK : Tout SDK
    Espace réservé : Assets/Plugins/VungleSDKProxy.dll

  • Pour Assets/Plugins/metro/VungleSDK.winmd :
    Plateforme : WSAPlayer
    SDK : SDK81
  • Pour Assets/Plugins/metro/UWP/VungleSDK.winmd :
    Plateforme : WSAPlayer
    SDK : UWP

  • Pour Assets/Plugins/metro/WindowsPhone81/VungleSDK.winmd :
    Plateforme : WSAPlayer
    SDK : Phone SDK81

image4.png

Important : Si vous utilisez Unity 5 pour construire le projet Universal 8.1 ou Phone 8.1, vous devez désactiver l'utilisation de Assets/Plugins/metro/UWP/VungleSDK.winmd de l'une des deux manières suivantes :

  • Soit sélectionner Assets/Plugins/metro/UWP/VungleSDK.winmd et dans l'onglet Inspector, dans la section Select platforms for plugin, effacer l'option WSAPlayer,

  • Ou supprimer Assets/Plugins/metro/UWP/VungleSDK.winmd.

Si vous utilisez Unity 4, allez dans Player SettingsPublishing Settings et changez les paramètres suivants :

  • Unprocessed Plugins : Size 1
  • Element 0 : VungleSDKProxy.dll

image2.png

Vous avez d’autres questions ? Envoyer une demande

Commentaires